##
##  ocaml-findlib.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ocaml-findlib
Summary:      OCaml Extension Package: Find
URL:          https://opam.ocaml.org/packages/ocamlfind/
Vendor:       Gerd Stolpmann
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Algorithm
License:      BSD
Version:      1.9.6
Release:      20240311

#   list of sources
Source0:      http://download.camlcity.org/download/findlib-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, ocaml
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Findlib is a library manager for OCaml. It provides a convention
    how to store libraries, and a file format ("META") to describe
    the properties of libraries. There is also a tool (ocamlfind)
    for interpreting the META files, so that it is very easy to use
    libraries in programs and scripts.

%track
    prog ocaml-findlib = {
        version   = %{version}
        url       = https://opam.ocaml.org/packages/ocamlfind/
        regex     = findlib-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n findlib-%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        -bindir %{l_prefix}/bin \
        -mandir %{l_prefix}/man \
        -config %{l_prefix}/etc/ocaml-findlib/findlib.conf
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/ocaml-findlib/*'

%files -f files

%clean

